Summary: A free, powerful and easy to use remote security scanner.
Name: nessus
Version: 1.2.0
Release: fr2
Epoch: 1
License: GPL
Group: System Environment/Daemons
Source1: ftp://ftp.nessus.org/pub/nessus/unstable/src/nessus-%{version}/nessus-libraries-%{version}.tar.bz2
Source2: ftp://ftp.nessus.org/pub/nessus/unstable/src/nessus-%{version}/libnasl-%{version}.tar.bz2
Source3: ftp://ftp.nessus.org/pub/nessus/unstable/src/nessus-%{version}/nessus-core-%{version}.tar.bz2
Source4: ftp://ftp.nessus.org/pub/nessus/unstable/src/nessus-%{version}/nessus-plugins-%{version}.tar.bz2
Source5: nessusd.init
Source6: nessusd.users
Source7: nessusd.rules
Source8: nessusd.conf
Source9: faq.html
URL: http://www.nessus.org/
BuildRoot: %{_tmppath}/%{name}-root
BuildPreReq: perl
BuildRequires: gtk+-devel, glib-devel, zlib-devel, nmap, openssl-devel
BuildRequires: gmp-devel, libtool >= 1.4

%description
Nessus is a free, up-to-date, and full featured remote security scanner for
Linux. It is multithreaded, plugin-based, has a nice GTK interface, and
currently performs 590 remote security checks. It has powerful reporting
capabilities (HTML, LaTeX, ASCII text) and not only points out problems,
but suggests a solution for each of them.


%package common
Group: System Environment/Base
Summary: Nessus files shared by both the server and the client.
Requires: gmp >= 3.0.0

%description common
These are the libraries shared by both the Nessus client and the Nessus
server. You must install this package in order to use any one of them.


%package server
Group: System Environment/Daemons
Summary: A free, powerful and easy to use remote security scanner.
Requires: nessus-common = %{version}, zlib >= 1.1.3, nmap >= 2.53, wget
PreReq: /sbin/service, /sbin/chkconfig
Obsoletes: nessus-plugins

%description server
Nessus is a free, up-to-date, and full featured remote security scanner for
Linux. It is multithreaded, plugin-based, has a nice GTK interface, and
currently performs 590 remote security checks. It has powerful reporting
capabilities (HTML, LaTeX, ASCII text) and not only points out problems,
but suggests a solution for each of them.

This is the server (daemon) that is used to perform the security checks.


%package devel
Group: Development/Libraries
Summary: Nessus static libraries and header files.
Requires: nessus-server = %{version}

%description devel
Developement libraries and headers for Nessus, the remote security scanner.
You will need this package to build new plugins or to update your existing
ones.


%package client
Group: Applications/System
Summary: The GTK+ client for the Nessus remote security scanner.
Requires: nessus-common = %{version}, gtk+ >= 1.2.10

%description client
This is the GTK+ client for Nessus, the remote security scanner. Install
this package on systems from where the remote (or local) daemon will be
controlled.


%prep
%setup -q -c -T
%setup -q -T -D -a 1 -a 2 -a 3 -a 4

%build
rm -rf %{buildroot}

# All the builds are followed by the install since all the core an plugins
# depend on the libraries and nasl

# This is so that the core and the plugins can find the new libs and bins
export LD_LIBRARY_PATH="%{buildroot}%{_libdir}:$LD_LIBRARY_PATH"
export PATH="%{buildroot}%{_bindir}:$PATH"

# Build nessus-libraries (the configure macro doesn't work here)
(	cd nessus-libraries
	%configure	--enable-release \
			--enable-nessuspcap \
			--enable-cipher
	make %{?_smp_mflags}

	# If only everyone used "includedir"
	%makeinstall incdir=%{buildroot}%{_includedir}

	# Temporary hack :-) - Things are changed back later
	perl -pi -e 's|^PREFIX=.*|PREFIX='%{buildroot}%{_prefix}'|' \
		%{buildroot}%{_bindir}/nessus-config
)

# Build libnasl
(	cd libnasl
	%configure
	make %{?_smp_mflags}

	%makeinstall
	# Temporary hack :-) - Things are changed back later
	perl -pi -e 's|^PREFIX=.*|PREFIX='%{buildroot}%{_prefix}'|' \
		%{buildroot}%{_bindir}/nasl-config
)

# Build nessus-core
(	cd nessus-core
	%configure	--enable-release \
			--enable-syslog \
			--enable-tcpwrappers \
			--enable-save-sessions \
			--enable-save-kb \
			--enable-install=`%{__id} -un`
	make %{?_smp_mflags}

	%makeinstall
)

# Build nessus-plugins
(	cd nessus-plugins
	%configure	--enable-install=`%{__id} -un`
	make %{?_smp_mflags}

	%makeinstall
)

# End the temporary hacks here
perl -pi -e 's|^PREFIX=.*|PREFIX='%{_prefix}'|' %{buildroot}%{_bindir}/*-config


%install
# Nothing much to do since most file are installed after they're built
install -D -m 755 %{SOURCE5} %{buildroot}%{_sysconfdir}/init.d/nessusd
install -m 640 %{SOURCE6} %{SOURCE7} %{SOURCE8} %{buildroot}%{_sysconfdir}/nessus/
perl -pi -e 's|\@LIBDIR\@|'%{_libdir}'|' %{buildroot}%{_sysconfdir}/nessus/nessusd.conf
cp %{SOURCE9} .
mkdir -p %{buildroot}%{_sharedstatedir}/nessus/CA
mkdir -p %{buildroot}%{_localstatedir}/nessus/CA

mkdir -p %{buildroot}%{_datadir}{/gnome/apps/Internet,/pixmaps}
install nessus-core/nessus/xpm/nessus.xpm %{buildroot}%{_datadir}/pixmaps
cat > %{buildroot}%{_datadir}/gnome/apps/Internet/nessus.desktop << EOF
[Desktop Entry]
Name=Nessus
Comment=%{summary}
Exec=nessus
Icon=nessus.xpm
Terminal=0
Type=Application
EOF


%clean
rm -rf %{buildroot}

%post common -p /sbin/ldconfig

%postun common -p /sbin/ldconfig

%post server
/sbin/chkconfig --add nessusd
/sbin/ldconfig

%preun server
if [ $1 = 0 ]; then
	/sbin/service nessusd stop >/dev/null 2>&1 || :
	/sbin/chkconfig --del nessusd
fi

%postun server
/sbin/ldconfig
if [ $1 -ge 1 ]; then
	/sbin/service nessusd condrestart >/dev/null 2>&1 || :
fi

%files common
%defattr(-, root, root)
%doc faq.html nessus-core/doc/ROADMAP_TO_1_2.txt
%{_libdir}/libhosts_gatherer.so.*
%{_libdir}/libnessus.so.*
%{_libdir}/libpcap-nessus.so.*

%files server
%defattr(-, root, root)
%doc nessus-core/doc/kb_saving.txt
%doc nessus-core/doc/ntp
%doc nessus-core/doc/session_saving.txt
%doc nessus-plugins/docs/plugins_api.txt
%attr(750, root, root) %dir %{_sysconfdir}/nessus
%config %{_sysconfdir}/nessus/accounts.txt
%config %{_sysconfdir}/nessus/nessusd.conf
%config(noreplace) %{_sysconfdir}/nessus/nessusd.rules
%config(noreplace) %{_sysconfdir}/nessus/nessusd.users
%config %{_sysconfdir}/nessus/queso.conf
%{_sysconfdir}/init.d/nessusd
%{_libdir}/libnasl.so.*
%{_sbindir}/nessus-adduser
%{_sbindir}/nessus-mkcert
%{_sbindir}/nessus-rmuser
%{_sbindir}/nessusd
%{_bindir}/nasl
%{_bindir}/nessus-mkrand
%attr(750, root, root) %dir %{_sharedstatedir}/nessus
%attr(750, root, root) %dir %{_sharedstatedir}/nessus/CA
%attr(750, root, root) %dir %{_localstatedir}/nessus
%attr(750, root, root) %dir %{_localstatedir}/nessus/CA
%attr(750, root, root) %dir %{_localstatedir}/nessus/jobs
%attr(750, root, root) %dir %{_localstatedir}/nessus/logs
%attr(750, root, root) %dir %{_localstatedir}/nessus/users
%{_mandir}/man1/nasl.1*
%{_mandir}/man1/nessus-mkrand.1*
%{_mandir}/man8/nessus-adduser.8*
%{_mandir}/man8/nessus-mkcert.8*
%{_mandir}/man8/nessus-rmuser.8*
%{_mandir}/man8/nessusd.8*
#files plugins
%{_libdir}/nessus
%{_sbindir}/nessus-update-plugins
%{_mandir}/man8/nessus-update-plugins.8*

%files devel
%defattr(-, root, root)
%doc nessus-core/doc/nsr.dtd
%doc nessus-core/doc/nsr_file_format.txt
%{_includedir}/nessus
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_bindir}/nasl-config
%{_bindir}/nessus-config
%{_bindir}/nessus-build
%{_mandir}/man1/nasl-config.1*
%{_mandir}/man1/nessus-build.1*
%{_mandir}/man1/nessus-config.1*

%files client
%defattr(-, root, root)
%{_bindir}/nessus
%{_sbindir}/nessus-mkcert-client
%{_mandir}/man1/nessus.1*
%{_datadir}/gnome/apps/Internet/nessus.desktop
%{_datadir}/pixmaps/nessus.xpm

%changelog
* Fri May  3 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt against Red Hat Linux 7.3.
- Added the %{?_smp_mflags} expansion.

* Fri Apr 19 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.2.0, woohoo! :-)

* Mon Apr  8 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.1.14.

* Mon Jan 22 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.1.12 at last.

* Tue Nov  6 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.1.8.
- Added nessus-mkrand to the server's %files.

* Mon Oct 22 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.1.7.

- Update to 1.1.6.
* Sun Oct 21 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Fixed the missing nessus-mkcert and CA dirs (thanks to Yosi Markovich).
- Now enabled syslog logging and tcp_wrappers.
- To rebuild this RPM, it seems that you now have to uninstall any older
  version from your system or else its libs will get found and things
  won't be as expected ;-)

* Tue Oct 16 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.1.6.
- Removed all the obsolete peks stuff from the spec.

* Sun Sep  2 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.1.4.

* Thu Aug  9 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.1.3... not released : Didn't compile.

* Fri Aug  3 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Simplifications on the spec file, there's always more!
- Enabled many of the nifty experimental features that exist :-)
- Put the nmap build requires back in : the plugins need it.
- Added a require for wget in the server to update the plugins.

* Tue Jul 31 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.1.2, nessus 1.2 ahead!
- Spec file cleanup, mostly %%configure macros working again.
- Moved the libs and man pages around to make a bit more sense.
- Changed the client's "Group:", bacause "Base" wasn't quite right.
- Switched the plugins <-> server dependency and added gmp.
- Merged the server and the plugins... should have done this before,
  it's been confusing the newbies for some time ;-)
- Added a GNOME menu entry for the GTK+ client.
- A few other tweaks...

* Thu May 31 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.0.8.

* Fri Apr 20 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat 7.1.
- Updated the init script for 7.1 also.
- gunzip'ed and bzip2 -9'ed the tar sources to take less bandwith with
  the SRPM ;-)

* Fri Feb  2 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Complete rewrite of the spec file, a tough one! :-)
- Renamed the "nessus" package to "nessus-server"
- Update to 1.0.7a
- Changed the config files
- Etc. (so many changes!)

* Wed Nov 22 2000 Matthias Saou <matthias.saou@est.une.marmotte.net>
- updated the spec file for RedHat 7.0, nessus 1.0.6
- redid the init script for RedHat 7.0

* Sun Sep 17 2000 Renaud Deraison <deraison@nessus.org>
- nessus 1.0.5

* Wed Aug 1 2000 Renaud Deraison <deraison@nessus.org>
- nessus 1.0.4

* Sat Jul 8 2000 Renaud Deraison <deraison@nessus.org>
- nessus 1.0.3 already

* Fri Jul 7 2000 Renaud Deraison <deraison@nessus.org>
- nessus 1.0.2 - 2

* Wed Jul 5 2000 Renaud Deraison <deraison@nessus.org>
- nessus 1.0.2

* Mon Jun 26 2000 Henri Gomez <hgomez@slib.fr>
- nessus 1.0.1

* Fri Apr 21 2000 Klaus Knopper <knopper@linuxtag.de>
- User-buildable RPM for 1.0.0pre2

* Sun Apr 16 2000 Renaud Deraison <deraison@cvs.nessus.org>
- nessus 1.0.0pre2

* Mon Apr 10 2000 Renaud Deraison <deraison@cvs.nessus.org>
- nessus 1.0.0pre1

* Thu Mar 30 2000 Renaud Deraison <deraison@cvs.nessus.org>
- fixed sysconfdir weirdnesses
- nessus 0.99.10

* Wed Mar 22 2000 Renaud Deraison <deraison@cvs.nessus.org>
- no patch to nessus-plugins
- nessus 0.99.9

* Mon Mar 20 2000 Renaud Deraison <deraison@cvs.nessus.org>
- nessus 0.99.8.1

* Sun Mar 19 2000 Renaud Deraison <deraison@cvs.nessus.org>
- gmp not needed
- removed the nasl_guide* files
- nessus 0.99.8

* Mon Feb 28 2000 Renaud Deraison <deraison@cvs.nessus.org>
- patch to nessus-core

* Sun Feb 27 2000 Renaud Deraison <deraison@cvs.nessus.org>
- nessus 0.99.6

* Fri Feb 18 2000 Henri Gomez <gomez@slib.fr>
- nessus 0.99.5-1 R2
- patch nessus-libraries

* Thu Feb 17 2000 Henri Gomez <gomez@slib.fr>
- nessus 0.99.5-1
- multiples corrections of 0.99.5

* Tue Feb 15 2000 Henri Gomez <gomez@slib.fr>
- nessus 0.99.5
- /etc/nessusd/nessusd.conf change from 0.99.4 to 0.99.5

* Fri Jan 14 2000 Henri Gomez <gomez@slib.fr>
- nessus 0.99.4
- the nessusd.rules (in /etc/nessus) is in accept by default now.

* Wed Jan  4 2000 Henri Gomez <gomez@slib.fr>
- nessus 0.99.3
 
* Tue Dec 28 1999 Henri Gomez <gomez@slib.fr>
- nessus 0.99.2
- rework of RPM, reuse of crypto channels
- update faq/nasl files to latest versions from nessus.org
- nessus server init script (/etc/rc.d/init.d) renamed to nessusd
- prompt at install for creating initial account
  
* Wed Nov 3 1999 Henri Gomez <gomez@slib.fr>
- nessus 0.9.4
- added post 0.9.4 scripts (an_httpd_cgis, hotsync, rfpoison)
- changed nessusd.rules and nessusd.users to reflect format changes 

* Wed Oct 6 1999 Gomez Henri <gomez@slib.fr>
- nessus 0.9.3
- added mediahouse_statistics_server.nasl

* Wed Sep 22 1999 Ronan-Yan Lorin <ronan-yann.lorin@libertysurf.fr>
- nessus 0.9.2
- initial release
